Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAASettings.Get(ctx)
if err != nil {
log.Fatal(err)
}
if res.XAASettingsServiceGetResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": {
"allowRefreshTokenSubjects": true,
"createdAt": "2023-11-07T05:31:56Z",
"defaultGrantLifetime": "<string>",
"enabled": true,
"enabledSigningAlgorithms": [],
"updatedAt": "2023-11-07T05:31:56Z",
"xaaIdTokenLifetime": "<string>"
}
}Cross-App Access
Get
Get the tenant’s cross-app-access settings.
GET
/
api
/
v1
/
settings
/
cross-app-access
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAASettings.Get(ctx)
if err != nil {
log.Fatal(err)
}
if res.XAASettingsServiceGetResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Response
200 - application/json
XAASettingsServiceGetResponse returns the tenant's cross-app-access settings.
XAASettingsServiceGetResponse returns the tenant's cross-app-access settings.
XAASettings is the per-tenant cross-app-access issuer configuration.
Show child attributes
Show child attributes
Was this page helpful?
⌘I